Making multiplay compatible with various versions

Post Reply
User avatar
mordo
Site Admin
Posts: 248
Joined: Sun Nov 13, 2011 3:15 pm

Making multiplay compatible with various versions

Post by mordo » Tue Jul 24, 2012 3:47 pm

I'm pleased to confirm that v1.52 & v1.54 is compatible as long as

1] the exe file being the same, meaning the CP/CD free exe file (v1.54) is being used by both.
It is available for download here
http://ds.nordicgames.at/community/Spel ... lForce.zip
or here
http://forum.spellforce.com/showthread. ... post813358

And
2] The same gamedata.cff file is being used,
like for instance if both get the same gamedata from here
viewtopic.php?f=14&t=142

I hope to get my hands on someone with non-english version some day
so i can experiment what it takes for that too
Der Hölle Rache kocht in meinem Herzen

User avatar
rupuzioks
Site Admin
Posts: 555
Joined: Sun Nov 13, 2011 2:57 pm

Re: Making multiplay compatible with various versions

Post by rupuzioks » Sat Feb 08, 2014 8:51 pm

I found a solution for polish version 1.53:

1. polish 1.53 version pak files have 05 00 02 first bytes in hex
2. 1.52, 1.54 pak files have 04 00 00 first bytes in hex
3. you need replace 05 00 02 to 04 00 00, so you can open them in dragon unpacker
4. extract them into spellforce folder directly, you need to do it in order
5. download 1.54 cp-free exe file
6. and you can play 1.54 version then, and it will work in multiplayer

credit also to dawn druid
Tempus et vita, tempus et mortis

Post Reply